---
title: "The project's main (its commit, checks or not built, the newest build on main) and its latest release"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.gitpando.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Pando API › releases

`GET /v1/monorepos/{owner}/{monorepo}/repos/{repo}/summary`

## Authentication

Requires one of the following:

- `credential`, http, header `Authorization`
- `session`, apiKey, in cookie

## Path parameters

- `getRepoSummary.path.owner` (string, required) — The monorepo's owner, a namespace (a person's login or an organization). Matched without case.
  - pattern `^[a-z0-9](?:[a-z0-9]|-(?=[a-z0-9])){0,38}$`
- `getRepoSummary.path.monorepo` (string, required) — The monorepo's name within its owner (or an old name). Matched without case.
  - pattern `^[a-z0-9](?:[a-z0-9._]|-(?!-)){0,38}$`
- `getRepoSummary.path.repo` (string, required) — The repo's `name` (`projects-web`).

## Code samples

### cURL

```curl
curl --request GET \
  --url https://app.gitpando.com/v1/monorepos/string/string/repos/string/summary \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://app.gitpando.com/v1/monorepos/string/string/repos/string/summary';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://app.gitpando.com/v1/monorepos/string/string/repos/string/summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

OK

#### Example

```json
{
  "repo": "string",
  "main": {
    "branch": "string",
    "sha": "string",
    "title": "string",
    "state": "success",
    "checks": {
      "sha": "string",
      "state": "success",
      "required": [
        "string"
      ],
      "checks_unknown": "string",
      "missing": [
        "string"
      ],
      "statuses": [
        {
          "sha": "string",
          "context": "string",
          "state": "pending",
          "target_url": "string",
          "description": "string",
          "creator": "string",
          "app": "string",
          "created_at": "2019-08-24T14:15:22Z"
        }
      ]
    },
    "build": {
      "id": "string",
      "service": "string",
      "connection": "string",
      "pipeline": "string",
      "number": 0,
      "repo": "string",
      "repo_path": "string",
      "sha": "string",
      "branch": "string",
      "message": "string",
      "state": "queued",
      "service_state": "string",
      "web_url": "string",
      "pushed_by": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "started_at": "2019-08-24T14:15:22Z",
      "finished_at": "2019-08-24T14:15:22Z",
      "duration_s": 0,
      "rebuilt_from": "string"
    }
  },
  "latest_release": {
    "tag": "string",
    "title": "string",
    "sha": "string",
    "published_at": "2019-08-24T14:15:22Z",
    "published_by": "string"
  }
}
```

- `getRepoSummary.response.200.repo` (string, required)
- `getRepoSummary.response.200.main` (object, required)
  - `getRepoSummary.response.200.main.branch` (string, required)
  - `getRepoSummary.response.200.main.sha` (string | null, required) — Null for an empty repo.
  - `getRepoSummary.response.200.main.title` (string | null, required)
  - `getRepoSummary.response.200.main.state` (string, required) — A commit's checks as a build state: Checks' state, or `not_built` when nothing reported on it and nothing is required (never green).
    - one of `"success"`, `"pending"`, `"failure"`, `"error"`, `"missing"`, `"unknown"`, `"not_built"`
  - `getRepoSummary.response.200.main.checks` (one of, required)
    - one of: [Checks](/api/schemas/Checks/), `null`
  - `getRepoSummary.response.200.main.build` (one of, required) — The newest build on main, whatever its commit.
    - one of: [CiBuild](/api/schemas/CiBuild/), `null`
- `getRepoSummary.response.200.latest_release` (object | null, required)
  - `getRepoSummary.response.200.latest_release.tag` (string, required)
  - `getRepoSummary.response.200.latest_release.title` (string, required)
  - `getRepoSummary.response.200.latest_release.sha` (string, required)
  - `getRepoSummary.response.200.latest_release.published_at` (string, required)
    - format `date-time`
  - `getRepoSummary.response.200.latest_release.published_by` (string, required)


Source: https://docs.gitpando.com/api/releases/getRepoSummary/index.md
